<template>
  <div class="login-page">
    <el-card class="login-card">
      <h2>Login</h2>

      <el-form
        ref="form"
        :model="form"
        label-position="top"
        label-width="120px"
      >
        <el-form-item label="Username">
          <el-input v-model="form.username"></el-input>
        </el-form-item>

        <el-form-item label="Password">
          <el-input v-model="form.password"></el-input>
        </el-form-item>

        <el-button type="primary" @click="onSubmit" class="btn-login"
          >Login</el-button
        >
      </el-form>
    </el-card>
  </div>
</template>

<script>
export default {
  layout: "no-auth",
  data() {
    return {
      form: {
        username: "",
        password: "",
      },
    }
  },
  methods: {
    onSubmit() {
      this.$router.push("/")
    },
  },
}
</script>

<style lang="scss" scoped>
.login-page {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  .login-card {
    background: $color-light-grey;
    width: 620px;
    padding: 32px;
    margin: 0 auto;
    h2 {
      margin-top: 0;
    }
    .btn-login {
      display: block;
      width: max-content;
      margin-left: auto;
    }
    ::v-deep {
      .el-card__body {
        padding: 0;
      }
    }
  }
}
</style>
